For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set Account Ranks

Set Account Ranks

POST https://api.sonorancms.com/general/set_account_ranks

Get a Sonoran CMS community account's ranks by account ID, API ID, or username.

Request Body

Name
Type
Description

id*

string

Community ID

key*

string

API Key

type*

string

GET_COM_ACCOUNT

data*

array

Array of request objects

[
    "4298c76d-a1ee-46dc-b33c-8daf2e2280dd", // UUID of Rank
    ...
]
INVALID API KEY
INVALID COMMUNITY ID
API ID NOT LINKED TO AN ACCOUNT IN THIS COMMUNITY
NO ACCOUNT FOUND UNDER GIVEN PARAMETERS IN THIS COMMUNITY
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "SET_ACCOUNT_RANKS",
    "data": [
        {
            // User Identification
            "apiId": "SOME_API_ID", // Optional - must have one
            "username": "SOMEUSERNAME", // Optional - must have one
            "accId": "SOMEACCID", // Optional - must have one
            "discord": "111122223333444455", // Optional - must have one
            "uniqueId": 1234 // Optional - must have one
            // Rank Specification
            "set": ["RANK_UUID", "ANOTHER_RANK_UUID"], // Remove and set ONLY these ranks on account
            "add": ["RANK_UUID"], // Optional - Add rank(s)
            "remove": ["RANK_UUID"] // Optional - Remove rank(s)
        }
    ]
}

Notes

set add and remove can all be used together. remove takes precedence over add (i.e. if both add and remove have the same rank, it is ultimately removed).

The rank UUID(s) can be copied from the rank manager by clicking the ... icon and selecting the Copy Rank ID button.

Last updated

Was this helpful?